Passa al contenuto principale

Check if server can hard stop

GET 

/api/v3/servers/:server_id/can-hard-stop

Required scopes: server:read

Whether the server can be forcibly stopped now with POST /api/v3/servers/{server_id}/power-actions and action hard_stop. can_action is false for a physical server, which only has reboot, and for the server of a private cloud; also while the server is not ready, its service is not active or is under maintenance, another operation does not allow the action, or the virtual machine is already stopped

Request​

Responses​

OK